import { ComponentPropsWithoutRef, Component } from '@clutchd/component';

declare function Content({ ...props }: ComponentPropsWithoutRef<typeof Component.main>): JSX.Element;

declare function Footer({ ...props }: ComponentPropsWithoutRef<typeof Component.footer>): JSX.Element;

declare function Header({ ...props }: ComponentPropsWithoutRef<typeof Component.header>): JSX.Element;

declare function Page({ ...props }: ComponentPropsWithoutRef<typeof Component.section>): JSX.Element;

declare function Section({ ...props }: ComponentPropsWithoutRef<typeof Component.section>): JSX.Element;

declare type ILayout = {
    Content: typeof Content;
    Footer: typeof Footer;
    Header: typeof Header;
    Page: typeof Page;
    Section: typeof Section;
};
declare const Layout: ILayout;

export { Layout };
